Name: cdcd
Version: 0.6.6
Release: alt3
Summary: Command Driven CD player
License: GPL
Group: Sound
URL: http://libcdaudio.sourceforge.net/
Source: %name-%version.tar.bz2
Patch: %name-0.6.6-curses.patch

# Automatically added by buildreq on Thu Sep 20 2007
BuildRequires: glib-devel libcdaudio-devel libreadline-devel

%description
%name takes a different approach from conventional console (or X) based
CD players, in that it doesn't keep with the display-oriented paradigm.
Conventional computer-based CD players resemble traditional physical CD
players. This is fine, if your user interface consists of 10 buttons.
However, computers have keyboards, so why not use them? Besides, it's
certainly a waste of a console or an xterm to have a traditional CD
player open anyway.
%name works in two ways, accepting commands directly off the command
line or in a query mode similar to other UNIX programs. To pass a
command to %name, simply run %name with the command as the arguement
(e.g. %name play). This is great for using cron and %name together to
make a CD alarm clock. Or, you can run %name without arguments and you
will be given the %name command prompt.


%prep
%setup
%patch -p1


%build
%configure
%make_build
bzip2 --best --force --keep -- ChangeLog


%install
%make_install DESTDIR=%buildroot install

# menu
install -d %buildroot%_desktopdir
iconv -f cp1251 -t utf-8 > %buildroot%_desktopdir/%name.desktop <<__MENU__
[Desktop Entry]
Version=1.0
Encoding=UTF-8
GenericName=Command Driven CD player
GenericName[ru]=-   
GenericName[uk]=-   
Name=%name
Exec=%name
Type=Application
Terminal=true
Categories=Application;AudioVideo;Audio;Player;ConsoleOnly;
__MENU__


%post
%install_info %name.info
%update_menus


%preun
%uninstall_info %name.info


%postun
%clean_menus


%files
%doc README NEWS AUTHORS ChangeLog.*
%_bindir/*
%_infodir/*
%_man1dir/*
%_desktopdir/*


%changelog
* Tue Mar 04 2008 Led <led@altlinux.ru> 0.6.6-alt3
- fixed %name.desktop

* Thu Sep 20 2007 Led <led@altlinux.ru> 0.6.6-alt2
- fixed %name.desktop

* Wed Jun 14 2006 Led <led@altlinux.ru> 0.6.6-alt1
- initial build
- removed libcurses checking with %name-0.6.6-curses.patch
